### 使用 containerd 作为运行时

```bash
minikube start --cni=calico \
	--container-runtime='containerd' \
	--cpus=4 \
	--delete-on-failure=true \
	--disk-size=40g \
	--kubernetes-version='1.23.9' \
	--memory='4g' \
	--nodes=3 \
	--service-cluster-ip-range='10.96.0.0/12'
```

