### 1、路由概念



### 2、路由算法

- 距离向量算法：根据距离代价和方向决定目标网络或目标主机的一种方法
- 链路状态算法：路由器在了解网络整体状态的基础上生成路由表，每个路由器必须保持同样的信息才能进行正确的路由选择

### 3、主要路由协议

![image-20230712222025107](https://blog-heysq-1255479807.cos.ap-beijing.myqcloud.com/blog/note/image-20230712222025107.png)

### 4、 RIP协议

- Routing Information Protocol
- 距离向量型的一种路由协议
- 每隔30秒向全网广播自己的路由信息
- 已知的路由信息经过一跳之后继续广播
- 如果没有收到路由控制信息，连接就会被断开
- RIP规定等待5次，如果等了6次仍未收到路由信息，就会关闭连接

![image-20230712222502063](https://blog-heysq-1255479807.cos.ap-beijing.myqcloud.com/blog/note/image-20230712222502063.png)

![image-20230712222615123](https://blog-heysq-1255479807.cos.ap-beijing.myqcloud.com/blog/note/image-20230712222615123.png)

#### 4.1、RIP路由器无限计数

- 路由器A链接网络A和路由器B
- 路由器A发送广播消息告知路由器B到通过路由器A可以到A网络
- A网络发生故障，路由器A断开与A网络的连接
- 路由器B广播自己可以通过路由器A到A网络
- 路由器A接收到广播通知，认为自己可以通过路由器B到A网络
- 然后此时路由器A或B到网络A都是是不可达的

#### 4.2、解决无限计数

- 从传播时间进行控制，限制传播最长距离不超过16
- 水平分割，规定路由器不在把收到的路由消息原路返回给发送端
- 毒性逆转，网络当中发生链路被断开时，将无法通信的消息传播出去，即发送一个距离为16的消息
- 触发更新，当路由信息发生变化时，不等30s而是立刻发送出去

#### 4.3、RIP2



### 5、OSPF TODO

- Open Short Path First
- 采用链路状态进行路由的协议
- 可以给每条链路赋予一个权重，并始终选择一个权重小的路径作为最终路由
- 网络复杂时，不需要每个路由器之间都互相交换路由信息，而是选择一个中心路由器进行路由信息交换

![image-20230713104925887](http://blog-heysq-1255479807.cos.ap-beijing.myqcloud.com/blog/note/image-20230713104925887.png)

#### 5.1、路由信息包的类型

![image-20230713105429003](http://blog-heysq-1255479807.cos.ap-beijing.myqcloud.com/blog/note/image-20230713105429003.png)

- 通过发送问候（hello）包确定是否连接
- 每个路由器为了同步路由控制信息，利用数据库描述（Database Description）包相互发送路由摘要信息和版本信息
- 如果版本较老，则首先发出一个链路状态请求（Link State Request）包请求路由控制信息，然后由链路状态更新（Link State Update）包接收路由状态信息
- 最后再通过链路状态确认（Link State ACK Packet）包通知大家本地已经接收到路由控制信息

### 6、BGP协议

- Border Gateway Protocol
- 连接不同的自治系统，连接不同的组织机构
- 主要用于ISP之间互相连接
- 路径向量协议
