### 1、配置文件

```bash
upstream netdata {
  server localhost:19999;
}

server {
	listen *:8443 ssl;
	server_name istat.heysq.com;
	server_tokens off;

  ssl_certificate     /root/nginx/conf/ssl_file/heysq_com/cert.pem;
  ssl_certificate_key  /root/nginx/conf/ssl_file/heysq_com/key.pem;
  ssl_session_timeout  5m;
  ssl_ciphers ECDHE-RSA-AES128-GCM-SHA256:ECDHE:ECDH:AES:HIGH:!NULL:!aNULL:!MD5:!ADH:!RC4;
  ssl_protocols TLSv1 TLSv1.1 TLSv1.2;
  ssl_prefer_server_ciphers on;

  error_page 497 https://$http_host$request_uri;

  location / {
    proxy_pass http://netdata;
  }
}
```

