### 1、DHCP概要

- Dynamic Host Configuration Protocol
- 设备接入到网络，就可以自动获取用于TCP/IP通信所必须得设置
- DHCP可以用在IPv4和IPv6网络中

### 2、工作机制与流程

- 架设DHCP服务器
  - 配置 IP地址
  - 配置 子网掩码
  - 配置 路由控制信息
  - 配置 DNS服务器地址
- 设备接入
  - 发送DHCP发现包：目的地址为广播地址 255.255.255.255，源地址为 0.0.0.0
  - 接受DHCP提供包
  - 发送DHCP请求包
  - 接受DHCP提供包

![image-20230709175004443](https://blog-heysq-1255479807.cos.ap-beijing.myqcloud.com/blog/note/image-20230709175004443.png)

### 3、DHCP 分配方式

- IP地址池中自动选出一个进行分配
- 根据MAC地址分配一个固定地址
- 两种方法可以并用

### 4、同一链路内多台DHCP服务器，冗余设计

- 容易造成IP地址冲突
- DHCP服务器在分配前，需要发送ICMP回送请求包，确认没有返回应答
- 对从DHCP服务器获取的IP地址发送ARP请求包，确认没有返回应答

### 5、DHCP中继代理

- 减少多个网段的DHCP维护和管理成本，不需要在每个网段都架设一个DHCP服务器
- 对不同网段的IP地址分配，由一个DHCP服务器进行管理和运维
- 需要再每个网段设置一个DHCP中继代理

![image-20230709175620808](https://blog-heysq-1255479807.cos.ap-beijing.myqcloud.com/blog/note/image-20230709175620808.png)