### 1、分类

- 静态路由：手动设置，修改路由表
- 动态路由：路由器之间交互，自动存储并刷新

![image-20230711195341776](http://blog-heysq-1255479807.cos.ap-beijing.myqcloud.com/blog/note/image-20230711195341776.png)

### 2、路由表

- 记录着网络地址与下一步应该发送至路由器的地址
- 发送IP包时，首先要确定IP包首部中的目标地址，再从路由表中找到与该地址具有相同网络地址的记录，进而转发至下一个路由器
- 如果路由表中存在多条相同的网络记录，就选择一条最吻合的记录进行转发
  - 相同位数最多的
  - 172.20.100.52与127.20/16和172.20.100/24，都匹配，按照位数最多应该选择172.20.100/24进行转发

### 3、路由分类

- 默认路由：任何地址都能与之匹配的记录，一般是0.0.0.0/0 或default
- 主机路由：IP地址/32， 子网掩码32位，整个IP地址的所有位都参与路由
- 环回地址：127.0.0.1 同一台计算机上的程序之间进行网络通信时所使用的一个默认地址

### 4、路由聚合

- 减少路由表条目，增加查找转发效率
- 即使有多个子网掩码，对外呈现出的也是同一个网络地址
- 将已知的聚合路由信息，告知周围其他的路由器，控制路由信息
- 192.168.2.0/24与192.168.3.0/24可以聚合为192.168.2.0/23

![image-20230709092407809](https://blog-heysq-1255479807.cos.ap-beijing.myqcloud.com/blog/note/image-20230709092407809.png)